import request, { postBlob, handleImport, getBlob } from '@/utils/request'

// 提货人档案-列表
export function v2TakerRecordList(data) {
  return request({
    url: `/v2/taker-record/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//提货人档案-导出
export function v2TakerRecordListExport(data, name) {
  return postBlob({
    url: '/v2/taker-record/list/export',
    method: 'post',
    data,
    name
  })
}

//提货人档案列表
export function getList(params) {
  return request({
    url: '/taker-record/list',
    method: 'get',
    params
  })
}
// 停用提货人档案
export function stopTaker(params) {
  return request({
    url: '/taker-record/stop',
    method: 'post',
    params
  })
}
//新增提货人档案
export function addDataList(data) {
  return request({
    url: '/taker-record/add',
    method: 'POST',
    data
  })
}
//删除提货人档案
export function deleDataList(params) {
  return request({
    url: '/taker-record/del',
    method: 'POST',
    params
  })
}
//提货人档案列表导出
export function exportDataList(params) {
  return request({
    url: '/taker-record/export',
    method: 'get',
    params
  })
}
//获取验证码
export function getCodeApi(params) {
  return request({
    url: '/taker-record/send/messageCode',
    method: 'get',
    params
  })
}

// 提货车辆档案-列表
export function v2TakerCarRecordList(data) {
  return request({
    url: `/v2/take-car-record/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//提货车辆档案-导出
export function v2TakerCarRecordListExport(data, name) {
  return postBlob({
    url: '/v2/take-car-record/list/export',
    method: 'post',
    data,
    name
  })
}

//提货车辆档案列表
export function getCarList(params) {
  return request({
    url: '/take-car-record/list',
    method: 'get',
    params
  })
}
//新增提货车辆档案
export function addDataListApi(data) {
  return request({
    url: '/take-car-record/add',
    method: 'post',
    data
  })
}
//编辑提货车辆档案
export function editDataListApi(data) {
  return request({
    url: '/take-car-record/edit',
    method: 'post',
    data
  })
}
//删除提货车辆档案
export function delCarFn(params) {
  return request({
    url: '/take-car-record/del',
    method: 'post',
    params
  })
}
//提货车辆档案列表导出
export function exportCarList(params) {
  return request({
    url: '/take-car-record/export',
    method: 'get',
    params
  })
}
